Jump to content

Help if you can


djtwistter
 Share

6 posts in this topic

Recommended Posts

Need your specs COMPLETELY. Video card, ethernet, need everything to determine the patches you need to install. By the way, you can try JaS 10.4.8 but the Uphuck v1.4iR3 would work well on your computer and it has better hardware supports.

Link to comment
Share on other sites

 Share

×
×
  • Create New...